
#ifndef ADXL362_SPI_DRV_H_
#define ADXL362_SPI_DRV_H_

#include "nrf_drv_spi.h"

#define ADXL362_WRITE_REG_CMD 	0x0A
#define ADXL362_READ_REG_CMD 	0x0B
#define ADXL362_READ_FIFO_CMD 	0x0C

#define DEVID_AD 	0x00
#define DEVID_MST 	0x01

static const nrf_drv_spi_config_t adxl362_spi_config;


/**@brief Function for initializing the ADXL362 SPI driver.
 *
 * @param[in] nrf_drv_spi_t * m_spi_master    Pointer to spi instance to use with ADXL362
 *
 */
void adxl362_spi_srv_init(const nrf_drv_spi_t * m_spi_master);

/**@brief Function for reading to the ADXL362 registers over SPI.
 *
 * @param[in] address   ADXL362 Register address
 * @param[in] p_data    Pointer to rx buffer
 * @param[in] bytes     Number of bytes to be read
 *
 */
void adxl362_spi_drv_readRegister(uint8_t address, uint8_t * p_data, uint8_t bytes);


#endif /* ADXL362_SPI_DRV_H_ */
